Start a Conversation

Solved!

Go to Solution

1 Rookie

 • 

2 Posts

75

June 23rd, 2024 12:57

TPM 2.0 update failiure

Hello,

I own dell precision 7710, it is not newest configuration but it will make job done and

with 16gb ram, stand alone graphic card, ssd and IPS screen it was really nice price for used pc compared to any newer versions with similard config.

I am trying to install League of legends on pc but vanguard anti cheat system require TPM 2.0

I have followed all steps on the internet I could find and enabeled everything but apparently I have 1.2 TPM and not 2.0.

I Found that there is update to go from 1.2 to 2.0

https://www.dell.com/support/home/en-us/drivers/driversdetails?driverid=2p04j

BUT it wont give option to run update, instead it show error message

"this update is not suitable for system with firmware-basedTPM(PTT) Instead please update system bios"

I went and updated bios from
https://www.dell.com/support/home/en-us/drivers/driversdetails?driverid=7j0h0
then again I tried to run TPM update and it still show same message

Any experience on this topic or maybe even some solutions?

Thanks

5 Practitioner

 • 

5.5K Posts

June 23rd, 2024 13:20

Download and install this TPM firmware instead.

1 Rookie

 • 

2 Posts

June 23rd, 2024 14:16

@Chino de Oro​ 

Thank you very much kind sir!

I had an issue with clearing tpm, 

I tried several times with several methods, but every time after clearing restart it was owned again, so I found solutioon with PowerShell I runned it as aministrator and used command

Disable-TpmAutoProvisioning

and it worked as a charm!

5 Practitioner

 • 

5.5K Posts

June 23rd, 2024 20:20

Am glad that it worked for you.

No Events found!

Top